# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.27
# 

Name:       harbour-containers

# >> macros
# << macros

Summary:    LXC manager and runner with Silica UI
Version:    0.8.1
Release:    0
Group:      Qt/Qt
License:    GPLv3
URL:        http://github.com/sailfish-containers/harbour-containers
Packager:   Kabouik <matf[redactedforbots]disr.it>
Source0:    %{name}-%{version}.tar.bz2
Source100:  harbour-containers.yaml
Requires:   sailfishsilica-qt5 >= 0.10.9
Requires:   lxc-templates-desktop >= 1.4
Requires:   python3-gobject
Requires:   dbus-python3
Requires:   nemo-qml-plugin-dbus-qt5
Requires:   xz
Requires:   qxcompositor >= 0.0.6
Requires:   sailfish-polkit-agent
BuildRequires:  pkgconfig(sailfishapp) >= 1.0.2
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  desktop-file-utils

%description
Containers is an application to create, download, manage and run LXC containers. It relies on Xwayland to run the associated desktop environment inside a new SailifshOS window.

Arch and Debian-based containers are supported, both with automatic configuration for Xfce4 or i3 (press Alt+h to see your i3 keybindings).

For now, the application requires that your SailfishOS user name is "defaultuser", and sound may not work yet in Debian containers. See known issues and limitations in the project page.
# This description section includes metadata for SailfishOS:Chum, see
# https://github.com/sailfishos-chum/main/blob/main/Metadata.md
%if "%{?vendor}" == "chum"
PackageName: Containers
Type: desktop-application
DeveloperName: sailfish-containers
PackagerName: Kabouik
Categories:
 - Development
 - Utilities
 - Other
Custom:
  Repo: https://github.com/sailfish-containers/harbour-containers
Icon:  %{url}/raw/master/icons/harbour-containers.svg
Screenshots:
 - %{url}/raw/master/pics/debian-i3_800.jpg
 - %{url}/raw/master/pics/arch-i3_800.jpg
 - %{url}/raw/master/pics/kali-xfce4_800.jpg
 - %{url}/raw/master/pics/arch-xfce4_800.jpg
 - %{url}/raw/master/pics/debian-xfce4_800.jpg
 - %{url}/raw/master/pics/kali-i3_800.jpg
 - %{url}/raw/master/pics/Screenshot_20220817_005_800.png
 - %{url}/raw/master/pics/E5vInvOWQAMcxLg_800.jpeg
 - %{url}/raw/master/pics/EmdbYnRXIAEZlLb_800.jpeg
 - %{url}/raw/master/pics/EmdbYpVXYAA9Ou6_800.jpeg
 - %{url}/raw/master/pics/Eo_d7waW4AI17FB_800.jpeg
 - %{url}/raw/master/pics/Screenshot_20220817_004_800.png
 - %{url}/raw/master/pics/Screenshot_20220817_005_800.png
 - %{url}/raw/master/pics/99102454-feeae200-25d5-11eb-935f-b846233e8808.gif
 - %{url}/raw/master/pics/99102434-fa262e00-25d5-11eb-853f-f203327f9a55.gif
 - %{url}/raw/master/pics/99102422-f5fa1080-25d5-11eb-9d74-b7a09c1a9a22.gif
Url:
  Homepage: https://github.com/sailfish-containers/harbour-containers
  Help: https://github.com/sailfish-containers/lxc-templates-desktop/wiki
  Bugtracker: https://github.com/sailfish-containers/harbour-containers/issues
%endif

%prep
%setup -q -n %{name}-%{version}

# >> setup
# << setup

%build
# >> build pre
# << build pre

%qmake5 

make %{?_smp_mflags}

# >> build post
# << build post

%install
rm -rf %{buildroot}
# >> install pre

# << install pre
%qmake5_install

# >> install post
chmod +x  %{buildroot}/usr/share/%{name}/service/daemon.py
chmod +x  %{buildroot}/usr/share/%{name}/scripts/host/*.sh
chmod +x  %{buildroot}/usr/share/%{name}/scripts/guest/*.sh
chmod +x  %{buildroot}/usr/share/%{name}/scripts/guest/setups/*.sh

# << install post

desktop-file-install --delete-original       \
  --dir %{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/*.desktop

%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
/etc/dbus-1/system.d/org.sailfishcontainers.daemon.conf
/usr/share/dbus-1/system-services/org.sailfishcontainers.daemon.service
/etc/systemd/system/sailfish-containers.service
/usr/share/polkit-1/actions/org.sailfishcontainers.daemon.policy
# >> files
# << files
